Package: org.codehaus.groovy.control

## [Java] Class Phases

- org.codehaus.groovy.control.Phases

- Compilation phase identifiers.

  Authors:
    Chris Poirier

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `ALL` |
    `static int` | `CANONICALIZATION` |
    `static int` | `CLASS_GENERATION` |
    `static int` | `CONVERSION` |
    `static int` | `FINALIZATION` |
    `static int` | `INITIALIZATION` |
    `static int` | `INSTRUCTION_SELECTION` |
    `static int` | `OUTPUT` |
    `static int` | `PARSING` |
    `static int` | `SEMANTIC_ANALYSIS` |
    `static String[]` | `descriptions` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static String` | `getDescription(int phase)` Returns a description of the specified phase.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final int ALL

    - #### public static final int CANONICALIZATION

    - #### public static final int CLASS_GENERATION

    - #### public static final int CONVERSION

    - #### public static final int FINALIZATION

    - #### public static final int INITIALIZATION

    - #### public static final int INSTRUCTION_SELECTION

    - #### public static final int OUTPUT

    - #### public static final int PARSING

    - #### public static final int SEMANTIC_ANALYSIS

    - #### public static final String[] descriptions

  - ### Method Detail

    - #### public static String getDescription(int phase)

      Returns a description of the specified phase.